Bug 1686420 - aws reverted other changes, switched back to Python 2
Summary: aws reverted other changes, switched back to Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: aws
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-03-07 12:39 UTC by Miro Hrončok
Modified: 2019-03-13 09:46 UTC (History)
2 users (show)

Fixed In Version: aws-2018-4.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-13 08:12:31 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-03-07 12:39:44 UTC
In this commit https://src.fedoraproject.org/rpms/aws/c/be7bb46b8b4fa623079bf18f32ac054f93bf4a30?branch=master

the aws package reverted several of other changes, that is forbidden in Fedora:

Please read https://docs.fedoraproject.org/en-US/packaging-guidelines/#_spec_maintenance_and_canonicity

Namely it switched from Python 3 to Python 2. That is also forbidden in Fedora.

Please read https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_python_version_support

I consider this kind of commits very rude for all the other maintainers who were so kind and fixed problems in the package.

Please switch aws back to Python 3 and keep it that way.
Thanks

Comment 1 Miro Hrončok 2019-03-12 15:47:34 UTC
How is this fixed?

Comment 2 Miro Hrončok 2019-03-12 15:48:25 UTC
I see now, you've done it in f30. Please fix this on master, not only f30

Comment 3 Miro Hrončok 2019-03-13 09:46:13 UTC
Thank You.


Note You need to log in before you can comment on or make changes to this bug.